package com.fjhx.sale.service.contract;

import com.fjhx.sale.entity.contract.po.ContractInvoice;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractInvoiceVo;
import com.fjhx.sale.entity.contract.dto.ContractInvoiceSelectDto;
import com.fjhx.sale.entity.contract.dto.ContractInvoiceDto;


/**
 * <p>
 * 合同发票管理 服务类
 * </p>
 *
 * @author 
 * @since 2023-09-08
 */
public interface ContractInvoiceService extends BaseService<ContractInvoice> {

    /**
     * 合同发票管理分页
     */
    Page<ContractInvoiceVo> getPage(ContractInvoiceSelectDto dto);

    /**
     * 合同发票管理明细
     */
    ContractInvoiceVo detail(Long id);

    /**
     * 合同发票管理新增
     */
    void add(ContractInvoiceDto contractInvoiceDto);

    /**
     * 合同发票管理编辑
     */
    void edit(ContractInvoiceDto contractInvoiceDto);

    /**
     * 合同发票管理删除
     */
    void delete(Long id);

}
